- Qt 5.15
- Qt Quick
- QML Types
- PathSvg QML Type
- Qt 5.15.19 Reference Documentation

# PathSvg QML Type

Defines a path using an SVG path data string. More...

Import Statement: | import QtQuick 2.15

- List of all members, including inherited members

## Properties

- path : string

## Detailed Description

The following QML produces the path shown below:

     Path {
         startX: 50; startY: 50
         PathSvg { path: "L 150 50 L 100 150 z" }
     }

Note: Mixing PathSvg with other type of elements is not always supported. For example, when Shape is backed by `GL_NV_path_rendering`, a ShapePath can contain one or more PathSvg elements, or one or more other type of elements, but not both.

See also Path, PathLine, PathQuad, PathCubic, PathArc, PathAngleArc, and PathCurve.

## Property Documentation

path : string

The SVG path data string specifying the path.

See W3C SVG Path Data for more details on this format.